-- set which fluids can be belted
local belt_fluids = {"petroleum-gas", "crude-oil", "water", "light-oil", "heavy-oil"} 
local fluid_amount = 20

data:extend(
{
 	{
	  name = "fluid-belts-1",
      group = "intermediate-products",
      order = "f",
      type = "item-subgroup"
    },
 	{
	  name = "fluid-belts-2",
      group = "intermediate-products",
      order = "g",
      type = "item-subgroup"
    }
}
)

-- create recipies, both from fluid -> belt and belt -> fluid
for k,v in pairs(belt_fluids) do

data:extend({
{
	type = "item",
	name = "belt-"..v,
	icon = "__base__/graphics/icons/fluid/" .. v .. ".png",
	icon_size = 32,
	stack_size = 50,
    subgroup = "raw-resource"
},

{
    type = "recipe",
    name = v.."-belt",
    category = "belting",
    enabled = true,
    hidden = false,
    energy_required = 1,
    ingredients =
      {
        {type="fluid", name= v, amount=fluid_amount}
      },
      results =
      {
        {type="item", name="belt-"..v, amount=1}
      },
      icon_size = 32,
      subgroup = "fluid-belts-1",
    },

	{
      type = "recipe",
      name = v.."belt-r",
      category = "unbelting",
      enabled = true,
      hidden = false,
      energy_required = 1,
      results =
      {
        {type="fluid", name=v, amount=fluid_amount}
      },
      ingredients =
      {
        {type="item", name="belt-"..v, amount=1}
      },
      icon_size = 32,
      subgroup = "fluid-belts-2",
    }
})
end


-- the item for the furnace
data:extend(
{
  {
    type = "item",
    name = "fluid-belt",
    icon = "__FluidBelt__/deadlock-stacking.png",
    icon_size = 128,
	scale = 0.3,
    subgroup = "production-machine",
    order = "e[chemical-plant]b",
    place_result = "fluid-belt",
    stack_size = 50
  },
    {
    type = "item",
    name = "fluid-unbelt",
    icon = "__FluidBelt__/deadlock-stacking.png",
    icon_size = 128,
	tint = {r=10,g=225,b=25},
	scale = 0.3,
    subgroup = "production-machine",
    order = "e[chemical-plant]b",
    place_result = "fluid-unbelt",
    stack_size = 50
  },
  {
    type = "recipe",
    name = "fluid-belt",
    energy_required = 2,
    enabled = true,
    ingredients =
    {
      {"steel-plate", 5},
      {"iron-gear-wheel", 5},
      {"electronic-circuit", 2},
      {"pipe", 5}
    },
    result = "fluid-belt"
  },
  
    {
    type = "recipe",
    name = "fluid-unbelt",
    energy_required = 2,
    enabled = true,
    ingredients =
    {
      {"steel-plate", 5},
      {"iron-gear-wheel", 5},
      {"electronic-circuit", 2},
      {"pipe", 5}
    },
    result = "fluid-unbelt"
  },
  {
    type = "recipe-category",
    name = "belting"
  },
  {
    type = "recipe-category",
    name = "unbelting"
  },

  
	
 {
  -- Fluid Belt
  
    type = "furnace",
    name = "fluid-belt",
    icon = "__FluidBelt__/deadlock-stacking.png",
    icon_size = 32,
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = "fluid-belt"},
    max_health = 250,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    crafting_categories = {"belting"},
    crafting_speed = 5,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 8
    },
    energy_usage = "1kW",
    ingredient_count = 1,
    source_inventory_size = 0,
    result_inventory_size = 1,
    working_visualisations = nil,
    vehicle_impact_sound = nil,
    working_sound = nil,
    animation =
    {
      filename = "__FluidBelt__/deadlock-stacking.png",
      priority="high",
      width = 128,
      height = 128,
      frame_count = 1,
	  scale = 0.3
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 2,
        base_level = -1,
        pipe_connections =
        {
          { type = "input", position = {0, -1} }
        }
      }
    },
    pipe_covers = pipecoverspictures()
  },
   {
  -- Fluid Belt
  
    type = "furnace",
    name = "fluid-unbelt",
    icon = "__FluidBelt__/deadlock-stacking.png",
    icon_size = 32,
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = "fluid-unbelt"},
    max_health = 250,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    crafting_categories = {"unbelting"},
    crafting_speed = 5,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 8
    },
    energy_usage = "1kW",
    ingredient_count = 1,
    source_inventory_size = 1,
    result_inventory_size = 0,
    working_visualisations = nil,
    vehicle_impact_sound = nil,
    working_sound = nil,
    animation =
    {
      filename = "__FluidBelt__/deadlock-stacking.png",
      priority="high",
      width = 128,
      height = 128,
      frame_count = 1,
	  scale = 0.3,
	  tint = {r=10,g=225,b=25}
    },
    fluid_boxes =
    {
      {
        production_type = "output",
		pipe_covers = pipecoverspictures(),
        base_area = 2,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 1} }}
      },
    },
    pipe_covers = pipecoverspictures()
  }

 }
 )
